[bitbake-devel,dunfell,1.46,2/8] lib/ui/taskexp: Fix missing Gtk import

Submitted by Steve Sakoman on July 15, 2020, 2:26 p.m. | Patch ID: 174452

Details

Message ID 44e24fffc568dfee054b5feff2d9b382b9ce4bb5.1594822992.git.steve@sakoman.com
State New
Headers show

Commit Message

Steve Sakoman July 15, 2020, 2:26 p.m.
From: David Khouya <dakhouya@gmail.com>

Adding back gtk objects import.

Fix bug introduce when adding validation on gtk import.

Signed-off-by: David Khouya <dakhouya@gmail.com>
Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
(cherry picked from commit 765be5ef60668f8a1cfbcba248f4995725807196)
Signed-off-by: Steve Sakoman <steve@sakoman.com>
---
 lib/bb/ui/taskexp.py | 1 +
 1 file changed, 1 insertion(+)

Patch hide | download patch | download mbox

diff --git a/lib/bb/ui/taskexp.py b/lib/bb/ui/taskexp.py
index 336d197d..05e32338 100644
--- a/lib/bb/ui/taskexp.py
+++ b/lib/bb/ui/taskexp.py
@@ -12,6 +12,7 @@  import sys
 try:
     import gi
     gi.require_version('Gtk', '3.0')
+    from gi.repository import Gtk, Gdk, GObject
 except ValueError:
     sys.exit("FATAL: Gtk version needs to be 3.0")
 except ImportError: